%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		jansson
Version:	2.14
Release:	%mkrel 2
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		Development/C
License:	MIT
URL:		https://www.digip.org/jansson
Source0:	https://github.com/akheron/jansson/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Patch1:		0001-Fix-the-check-exports-tests-for-versioned-symbols.patch

BuildRequires:	python3dist(sphinx)

%description
Jansson is a C library for encoding, decoding and manipulating JSON
data. Its main features and design principles are:

- Simple and intuitive API and data model
- Comprehensive documentation
- No dependencies on other libraries
- Full Unicode support (UTF-8)
- Extensive test suite

%package -n %{libname}
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		System/Libraries

%description -n %{libname}
Small library for parsing and writing JSON documents.

%package -n %{devname}
Summary:	Header files for jansson
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing applications making use of jansson.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%__make html

%install
%make_install

%check
%__make check

%files -n %{libname}
%license LICENSE
%doc CHANGES
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc doc/_build/html/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.14-2.mga10
+ Revision: 2222369
- Mageia 10 Mass Rebuild

* Fri Apr 26 2024 daviddavid <daviddavid> 2.14-1.mga10
+ Revision: 2061241
- new version: 2.14

* Sat Apr 06 2024 wally <wally> 2.13.1-3.mga10
+ Revision: 2055196
- basesystem rebuild for i686

* Tue Mar 15 2022 umeabot <umeabot> 2.13.1-2.mga9
+ Revision: 1792908
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 daviddavid <daviddavid> 2.13.1-1.mga8
+ Revision: 1622438
- new version: 2.13.1

* Sat Feb 15 2020 umeabot <umeabot> 2.12-3.mga8
+ Revision: 1528228
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 17 2019 wally <wally> 2.12-2.mga8
+ Revision: 1429500
- update sphinx BR

* Mon Nov 26 2018 daviddavid <daviddavid> 2.12-1.mga7
+ Revision: 1335291
- new version: 2.12

* Sun Sep 23 2018 umeabot <umeabot> 2.11-2.mga7
+ Revision: 1298349
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 2.11-1.mga7
+ Revision: 1214909
- Update to version 2.11

* Fri Aug 26 2016 wally <wally> 2.7-4.mga6
+ Revision: 1049089
- fix libification
- update src pkg description

* Wed May 18 2016 luigiwalser <luigiwalser> 2.7-3.mga6
+ Revision: 1016794
- add patch from debian to fix CVE-2016-4425

* Thu Feb 11 2016 umeabot <umeabot> 2.7-2.mga6
+ Revision: 954765
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 2.7-1.mga6
+ Revision: 858649
- New version: 2.7

* Tue Jul 28 2015 sander85 <sander85> 2.6-1.mga6
+ Revision: 858648
- New version: 2.6

* Wed Oct 15 2014 umeabot <umeabot> 2.4-4.mga5
+ Revision: 743379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 680627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4-2.mga4
+ Revision: 532968
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 2.4-1.mga4
+ Revision: 470459
- 2.4
- imported package jansson


* Sat May 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 2.3.1-1
+ Revision: 796627
- version update 2.3.1

* Sat Nov 05 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.2.1-1
+ Revision: 721550
- imported package jansson

